POST
/
v1
/
auth
/
passkey
/
login
Start a passkey login
curl --request POST \
  --url https://api.next.orenda.finance/v1/auth/passkey/login \
  --header 'x-program-id: <x-program-id>'
import requests

url = "https://api.next.orenda.finance/v1/auth/passkey/login"

headers = {"x-program-id": "<x-program-id>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {'x-program-id': '<x-program-id>'}};

fetch('https://api.next.orenda.finance/v1/auth/passkey/login', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "authenticated": false,
    "challenge": "PASSKEY",
    "session_token": "3f1c2e8a-9b4d-4e6f-8a1b-2c3d4e5f6a7b",
    "fido2options": {
      "challenge": "q1n9bXJ0c2VjdXJlY2hhbGxlbmdl",
      "timeout": 60000,
      "rpId": "next.orenda.finance",
      "userVerification": "preferred",
      "allowCredentials": [
        {
          "type": "public-key",
          "id": "AaIWjR2k8Qm3sV7tZ1pYxC"
        }
      ]
    }
  }
}
{
"success": false,
"code": "RESOURCE_NOT_FOUND",
"message": "Program issuer not found"
}
{
"success": false,
"code": "VALIDATION_ERROR",
"message": "email is required"
}
{
"success": false,
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal Server Error"
}

Headers

x-program-id
string
required

Identifies the program. Can also be sent as the programId query parameter.

Response

Passkey challenge

success
boolean
Example:

true

data
object